Loading...
Searching...
No Matches
BALL::FragmentDB::NoFragmentNode Class Reference

`#include <BALL/STRUCTURE/fragmentDB.h>`

Inheritance diagram for BALL::FragmentDB::NoFragmentNode:

## Public Member Functions

| NoFragmentNode (const char *file, int line, const string &filename)
| ~NoFragmentNode () throw ()
Public Member Functions inherited from BALL::Exception::GeneralException
| GeneralException ()
| Default constructor.
| GeneralException (const char *file, int line)
| Constructor.
| GeneralException (const char *file, int line, const String &name, const String &message)
| Constructor.
| GeneralException (const GeneralException &exception)
| Copy constructor.
virtual | ~GeneralException () throw ()
| Destructor.
const char * | getName () const
| Returns the name of the exception.
const char * | getMessage () const
| Returns the error message of the exception.
void | setMessage (const std::string &message)
| Modify the exception's error message.
int | getLine () const
| Returns the line number where it occurred.
const char * | getFile () const
| Returns the file where it occurred.

## Protected Attributes

string | filename_
const char * | file_
int | line_
std::string | name_
std::string | message_

## Detailed Description

No fragment node found. This exception is thrown by init if the resource database does not contain a Fragments entry.

Definition at line 87 of file fragmentDB.h.

## Constructor & Destructor Documentation

## NoFragmentNode()

BALL::FragmentDB::NoFragmentNode::NoFragmentNode | ( | const char * | file,
|  | int | line,
|  | const string & | filename )

## ~NoFragmentNode()

BALL::FragmentDB::NoFragmentNode::~NoFragmentNode | ( |  | ) |
throw | ( | ) |  |  |

inline

Definition at line 92 of file fragmentDB.h.

## Member Data Documentation

## filename_

string BALL::FragmentDB::NoFragmentNode::filename_

protected

Definition at line 95 of file fragmentDB.h.